> ## Documentation Index
> Fetch the complete documentation index at: https://docs.glialhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Document Endpoint



## OpenAPI

````yaml delete /v1/documents/{document_id}
openapi: 3.1.0
info:
  description: Async-first document extraction API.
  title: Folio API
  version: 1.0.0
servers:
  - description: Production (forthcoming)
    url: https://api.glialhealth.com
security: []
paths:
  /v1/documents/{document_id}:
    delete:
      tags:
        - documents
      summary: Delete Document Endpoint
      operationId: delete_document_endpoint_v1_documents__document_id__delete
      parameters:
        - in: path
          name: document_id
          required: true
          schema:
            title: Document Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - bearerAuth: []
components:
  schemas:
    DocumentResponse:
      properties:
        completed_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Completed At
        content_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Content Type
        created_at:
          format: date-time
          title: Created At
          type: string
        document_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Document Type
        expires_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Expires At
        filename:
          anyOf:
            - type: string
            - type: 'null'
          title: Filename
        id:
          title: Id
          type: string
        language:
          enum:
            - fr
            - en
            - auto
          title: Language
          type: string
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
        object:
          default: document
          title: Object
          type: string
        result_url:
          title: Result Url
          type: string
        size_bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Size Bytes
        status:
          $ref: '#/components/schemas/DocumentStatus'
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - status
        - document_type
        - filename
        - content_type
        - size_bytes
        - language
        - metadata
        - created_at
        - updated_at
        - completed_at
        - expires_at
        - result_url
      title: DocumentResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    DocumentStatus:
      enum:
        - received
        - queued
        - processing
        - completed
        - partially_completed
        - failed
        - deleted
      title: DocumentStatus
      type: string
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Your Folio API key, sent as `Authorization: Bearer <api_key>`.'
      scheme: bearer
      type: http

````